View Issue Details

IDProjectCategoryView StatusLast Update
0002892Ham Radio DeluxeMaintenancepublic2018-09-28 21:42
ReporterPD9FER 
Assigned ToPD9FER 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.888 
Summary0002892: Logbook build 886 30 Day Solar data url has changed
DescriptionThe link to the site we are getting the 30 Day Solar Data has changed.
The new link is http://services.swpc.noaa.gov/text/daily-solar-indices.txt

The old link that is in HRD, shut down on Sept 5th.
Steps To ReproduceOpen logbook
View > Solar Cycle > Display
See it ain't update anymore

Additional InformationTicket #801307
TagsNo tags attached.
ModuleLogbook
Sub-ModuleVarious
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-09-13 17:39

manager   ~0006205



Looks like this URL: http://legacy-www.swpc.noaa.gov/ftpdir/indices/DSD.txt

is the one no longer managed. I've replaced it in the Logbook, as well as in DM780 with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4350

Hopefully, the issue is addressed. The repro steps tell me to look for something that's not happening, which guarantees that I won't see it.

I've also tracked down this URL at the same site:
http://legacy-www.swpc.noaa.gov/ftpdir/weekly/RecentIndices.txt

which seems to have been replaced by this one:
ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt

so I've replaced that in the applications, too.

Note that both URLs are used by both DM780 and Logbook.

PD9FER

2018-09-28 03:18

viewer   ~0006235

Ticket #904300
30 day solar cycle - FIXED
Solar Cycle Progression - BROKEN "maybe you can give this a 2nd look"

K7ZCZ

2018-09-28 07:49

manager   ~0006238

I can't understand what you're saying, Ferry. Is this fixed, or not?

PD9FER

2018-09-28 07:52

viewer   ~0006239

Partial... the 30 Day Solar cycle is fixed
But the Solar Cycle Progression is still broken (maybe you want a separate Mantis for that?)

K7ZCZ

2018-09-28 07:56

manager   ~0006240

You should provide repro steps. Your repro steps should explain what you're doing, what you expect to see, and what you see instead. Without that information, I don't know what to investigate.

g3ucq

2018-09-28 10:51

viewer  

solar cycle.JPG (69,827 bytes)
solar cycle.JPG (69,827 bytes)

g3ucq

2018-09-28 10:51

viewer   ~0006243

This is what I see. It does not look right.

K7ZCZ

2018-09-28 18:03

manager   ~0006247

Last edited: 2018-09-28 18:05

View 2 revisions

"Does not look right" doesn't help me much. Can you please be more specific? What do you specifically expect to see, and what do you actually see? How are they different?

The new URL is here: ftp://ftp.swpc.noaa.gov/pub/weekly/RecentIndices.txt
The old URL is here: http://legacy-www.swpc.noaa.gov/ftpdir/weekly/RecentIndices.txt

Can you tell me how the data at these resources is different?

K7ZCZ

2018-09-28 18:31

manager   ~0006248

OK, I've got it sorted. There's HRD utility code that gets a web page -- but doesn't work with FTP URLs. I've reverted to the old URL until I have the time to write code to get a file over FTP. Hopefully, NOAA won't quit publishing the HTTP page any time soon.

K7ZCZ

2018-09-28 18:34

manager   ~0006249

Fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4356

WA9PIE

2018-09-28 21:42

administrator   ~0006252

Resolved as part of the 888 build.

Issue History

Date Modified Username Field Change
2018-09-12 07:49 PD9FER New Issue
2018-09-13 17:39 K7ZCZ Assigned To => K7ZCZ
2018-09-13 17:39 K7ZCZ Status new => resolved
2018-09-13 17:39 K7ZCZ Resolution open => fixed
2018-09-13 17:39 K7ZCZ Note Added: 0006205
2018-09-28 03:18 PD9FER Note Added: 0006235
2018-09-28 07:47 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-09-28 07:49 K7ZCZ Note Added: 0006238
2018-09-28 07:49 K7ZCZ Assigned To K7ZCZ => PD9FER
2018-09-28 07:50 K7ZCZ Fixed in Version => 6.4.0.887
2018-09-28 07:52 PD9FER Note Added: 0006239
2018-09-28 07:56 K7ZCZ Note Added: 0006240
2018-09-28 10:51 g3ucq File Added: solar cycle.JPG
2018-09-28 10:51 g3ucq Note Added: 0006243
2018-09-28 18:03 K7ZCZ Note Added: 0006247
2018-09-28 18:05 K7ZCZ Note Edited: 0006247 View Revisions
2018-09-28 18:31 K7ZCZ Note Added: 0006248
2018-09-28 18:34 K7ZCZ Note Added: 0006249
2018-09-28 21:40 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-28 21:41 WA9PIE Testing Not Started => Beta Successful
2018-09-28 21:41 WA9PIE Fixed in Version 6.4.0.887 => 6.4.0.888
2018-09-28 21:42 WA9PIE Status resolved => closed
2018-09-28 21:42 WA9PIE Note Added: 0006252